Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

# openvrml::texture_transform_node Class Reference

Abstract base class for texture transform nodes. More...

`#include <openvrml/node.h>`

Inheritance diagram for openvrml::texture_transform_node:
[legend]

List of all members.

## Public Member Functions

virtual | ~texture_transform_node ()=0 throw ()
| Destructor.
void | render_texture_transform (viewer &v)
| Render the texture transform.

## Protected Member Functions

| texture_transform_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope) throw ()
| Construct.

## Private Member Functions

virtual texture_transform_node * | to_texture_transform () throw ()
| Cast to a `texture_transform_node`.
virtual void | do_render_texture_transform (viewer &v)
| Render the texture transform.

## Detailed Description

Abstract base class for texture transform nodes.

## Constructor & Destructor Documentation

openvrml::texture_transform_node::~texture_transform_node | ( |  | ) | throw ()`[pure virtual]`

Destructor.

openvrml::texture_transform_node::texture_transform_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope |
| ) |  |  | throw ()`[protected]`

Construct.

Parameters:

  `[in]` | type | the `node_type` associated with the `node`.
  `[in]` | scope | the `scope` the `node` belongs to.

## Member Function Documentation

void openvrml::texture_transform_node::render_texture_transform | ( | viewer & | v | ) |

Render the texture transform.

Parameters:

  `[in,out]` | v | viewer.

openvrml::texture_transform_node * openvrml::texture_transform_node::to_texture_transform | ( |  | ) | throw ()`[private, virtual]`

Cast to a `texture_transform_node`.

Returns:
  a pointer to this `texture_transform_node`.

Reimplemented from openvrml::node.

void openvrml::texture_transform_node::do_render_texture_transform | ( | viewer & | v | ) | `[private, virtual]`

Render the texture transform.

Parameters:

  `[in,out]` | v | viewer.